Bug 15785 - Use Font Awesome icons in confirmation dialogs
Summary: Use Font Awesome icons in confirmation dialogs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 15784 15790 15804 15821 15826 15858 15884 15950 15951 15959 15960 15961 15963 15978 15979 15980 15983
  Show dependency treegraph
 
Reported: 2016-02-10 18:22 UTC by Owen Leonard
Modified: 2017-06-14 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing the kind of dialog to be modified (15.29 KB, image/png)
2016-02-10 18:22 UTC, Owen Leonard
Details
Bug 15785 - Use Font Awesome icons in confirmation dialogs (24.31 KB, patch)
2016-02-11 16:39 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15785 - Use Font Awesome icons in confirmation dialogs (24.38 KB, patch)
2016-02-11 17:12 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15785 - Use Font Awesome icons in confirmation dialogs (24.50 KB, patch)
2016-02-11 17:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15785 - Use Font Awesome icons in confirmation dialogs (24.51 KB, patch)
2016-02-12 13:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15784: Library deletion warning is incorrectly styled (2.82 KB, patch)
2016-02-12 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-02-10 18:22:16 UTC
Created attachment 47863 [details]
Screenshot showing the kind of dialog to be modified

Some (non-JavaScript) dialogs in Koha show a pair of Yes/No buttons styled with "approve"/"deny" classes which use image files for the icon. These could instead be styled using Font Awesome icons.
Comment 1 Owen Leonard 2016-02-11 16:39:24 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-02-11 17:12:00 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-02-11 17:24:06 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-02-11 17:28:33 UTC
Comment on attachment 47932 [details] [review]
Bug 15785 - Use Font Awesome icons in confirmation dialogs

Hector was faster :-) 
Obsoleting my sign-off patch.
Comment 5 Jonathan Druart 2016-02-12 13:09:05 UTC
Created attachment 47971 [details] [review]
Bug 15785 - Use Font Awesome icons in confirmation dialogs

We can simplify the staff client's CSS and reduce some image file usage
if we modify confirmation dialogs to use Font Awesome icons. This patch
makes this change for Administration templates.

This patch includes some whitespace changes, so please consider that
when looking at diffs.

To test, apply the patch and test deletion in the following cases. Test
both confirmation and cancel actions.

Administration -> Budgets -> Delete budget
Administration -> Funds -> Delete fund
Administration -> Authority types -> Delete authority type
Administration -> Authority types -> MARC Structure -> Delete tag
Administration -> Authority types -> MARC Structure -> Subfields -> Delete
Administration -> MARC bibliographic framework -> Delete framework
Administration -> MARC bibliographic framework -> MARC structure -> Delete
Administration -> Cities and Towns -> Delete city
Administration -> Classification sources -> Delete classification source
Administration -> Classification sources -> Delete classification filing rule
Administration -> Item types -> Delete
Administration -> Record matching rules -> Delete
Administration -> Patron attribute types -> Delete

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Icons changed

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-02-12 13:09:35 UTC
I have fixed the conflicts with the revert of bug 13618
Comment 7 Jonathan Druart 2016-02-12 14:45:52 UTC Comment hidden (obsolete)
Comment 8 Héctor Eduardo Castro Avalos 2016-02-12 14:51:22 UTC
Hi someone attach a wrong bug number in this patch, please revert/obsolete the last patch attached
Comment 9 Jonathan Druart 2016-02-12 15:11:56 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #8)
> Hi someone attach a wrong bug number in this patch, please revert/obsolete
> the last patch attached

Done
Comment 10 Brendan Gallagher 2016-02-23 20:47:03 UTC
Pushed to Master - Should be in the may 2016 release.  Thanks